Bug 1402922 - [RFE] Publishing provisioning template by version control system
Summary: [RFE] Publishing provisioning template by version control system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.1.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-08 16:10 UTC by Manikandan Somasundaram
Modified: 2020-07-16 09:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:36:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman_templates in 6.3 (85.86 KB, image/png)
2017-08-23 11:32 UTC, Ondřej Pražák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1411220 0 medium CLOSED [RFE] Allow exporting of templates 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Internal Links: 1411220

Comment 1 Marek Hulan 2016-12-16 15:49:36 UTC
There is a foreman_templates upstream plugin that can be used with git. Recently it got support for plain FS backend which means one could use bitbucket on some directory. Template exporting is being finished right now too so this could address the whole use case. The FS backend and exporting feature will require newer Foreman though.

Comment 8 Ondřej Pražák 2017-08-23 11:32:35 UTC
Created attachment 1317061 [details]
foreman_templates in 6.3

foreman_templates can be enabled to synchronize templates. It is a tech preview, therefore not enabled by default.

Verified.

6.3.0 snap 12

Comment 11 errata-xmlrpc 2018-02-21 12:36:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.